Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Tue, 30 Nov 2021 19:49:08 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I havent received my order and the driver is sending me constantly a link to pay again and again although I have already paid. 

I’m trying to reach the call centre, and no one is answering and if they answer, they will just say that i need to wait, they dont even have the driver’s number so that i can contact him.  Usually, call centre needs to have a solution, and I’ve dealt with this call centre and they didnt have a solution in the each  situation. 

Worst service.
Worst staff.
Worst experience. 

If you dont have the capabilities of having an online app then dont do one at all: better than having one without any good facility in it.  

I hope you take my feedback into consideration as you need to do something about this. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3501121